require 'acceptance_helpers'

resource 'Complaints' do
  header 'Accept', 'application/json'
  header 'Content-Type', 'application/json'

  before { 12.times { create(:complaint) } }

  let(:complaints) { Complaint.all }

  get '/v1/complaints' do
    parameter :limit, 'Limit of complaints'
    parameter :offset, 'Offset of complaints'

    let(:limit) { 12 }
    let(:offset) { 0 }

    example_request 'Get a list of complaints' do
      # active model serializer may render model associations in different order for collections (array of items), so we're verifing only returned ids
      expect(JSON.parse(response_body).map { |o| o['id'] }.sort).to eq(Complaint.limit(limit).offset(offset).pluck(:id).sort)
      expect(status).to eq(200)
    end
  end

end
