require 'acceptance_helpers'

resource 'Educational Stages' do
  header 'Accept', 'application/json'
  header 'Content-Type', 'application/json'

  before { 12.times { create(:educational_stage) } }

  let(:educational_stages) { EducationalStage.all }

  get '/v1/educational_stages' do
    parameter :limit, 'Limit of educational stages'
    parameter :offset, 'Offset of educational stages'

    let(:limit) { 12 }
    let(:offset) { 0 }

    example_request 'Get a list of educational stages' do
      # active model serializer may render model associations in different order for collections (array of items), so we're verifing only returned ids
      expect(JSON.parse(response_body).map { |o| o['id'] }.sort).to eq(EducationalStage.limit(limit).offset(offset).pluck(:id).sort)
      expect(status).to eq(200)
    end
  end

end
