require 'acceptance_helpers'

resource 'Reviews' do
  header 'Accept', 'application/json'
  header 'Content-Type', 'application/json'

  before { 12.times { create(:learning_object) } }

  let(:learning_objects) { LearningObject.all }

  get '/v1/:type/:id/reviews' do
    parameter :type, 'type of object [\'learning_objects\', \'collections\']'

    let(:type) { 'learning_objects' }
    let(:id) { learning_objects.first.id }

    example_request 'Get a list of reviews' do
      expect(path).to eq("/v1/learning_objects/#{id}/reviews") # `:id` is replaced with the value of `id`
      expect(response_body).to eq(Helper.serialize(Review.where(reviewable: learning_objects.first)))
      expect(status).to eq(200)
    end
  end

end
