require 'acceptance_helpers'

resource 'Subjects' do
  header 'Accept', 'application/json'
  header 'Content-Type', 'application/json'

  before { 12.times { create(:subject) } }

  let(:subjects) { Subject.all }

  get '/v1/subjects' do
    parameter :limit, 'Limit of subjects'
    parameter :offset, 'Offset of subjects'

    let(:limit) { 12 }
    let(:offset) { 0 }

    example_request 'Get a list of subjects' do
      # active model serializer may render model associations in different order for collections (array of items), so we're verifing only returned ids
      expect(JSON.parse(response_body).map { |o| o['id'] }.sort).to eq(Subject.limit(limit).offset(offset).pluck(:id).sort)
      expect(status).to eq(200)
    end
  end

end
